package com.inkasso.factoring.acceptanceManagement.entity.vo;

import com.inkasso.factoring.common.entity.BaseEntity;

import javax.xml.crypto.Data;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description 验收单列表vo
 * @Author Yafan Wang
 * @Date 2023/12/21 11:43
 */
public class AcceptanceListVo extends BaseEntity {

    /**
     * 验收单号
     */
    private String acceptanceNumber;

    /**
     * 业务编号
     */
    private String businessNumber;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 主企业名称
     */
    private String supplierName;

    /**
     * 核心企业名称
     */
    private String coreEnterpriseName;

    /**
     * 贸易平台名称
     */
    private String platformName;

    /**
     * 数量
     */
    private BigDecimal goodsQuantity;

    /**
     * 预计结算时间
     */
    private Date expectedSettlementDate;

    /**
     * 当前阶段
     */
    private String stage;

    /**
     * 状态
     */
    private String status;

    /**
     * 提交状态
     */
    private Integer submitStatus;

    /**
     * 申请审核按钮展示
     */
    private Integer buttonFlag;


    private String taskId;

    /**
     * 业务审核状态  0/null 代表未审核  1 已审核
     */
    private Integer  businessApprovalStatus;

    /**
     * 价格调整
     */
    private Boolean showPriceChange;


    public Integer getSubmitStatus() {
        return submitStatus;
    }

    public void setSubmitStatus(Integer submitStatus) {
        this.submitStatus = submitStatus;
    }

    public String getAcceptanceNumber() {
        return acceptanceNumber;
    }


    public void setAcceptanceNumber(String acceptanceNumber) {
        this.acceptanceNumber = acceptanceNumber;
    }

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public String getCoreEnterpriseName() {
        return coreEnterpriseName;
    }

    public void setCoreEnterpriseName(String coreEnterpriseName) {
        this.coreEnterpriseName = coreEnterpriseName;
    }

    public String getPlatformName() {
        return platformName;
    }

    public void setPlatformName(String platformName) {
        this.platformName = platformName;
    }

    public Date getExpectedSettlementDate() {
        return expectedSettlementDate;
    }

    public void setExpectedSettlementDate(Date expectedSettlementDate) {
        this.expectedSettlementDate = expectedSettlementDate;
    }

    public String getStage() {
        return stage;
    }

    public void setStage(String stage) {
        this.stage = stage;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Integer getButtonFlag() {
        return buttonFlag;
    }

    public void setButtonFlag(Integer buttonFlag) {
        this.buttonFlag = buttonFlag;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Boolean getShowPriceChange() {
        return showPriceChange;
    }

    public void setShowPriceChange(Boolean showPriceChange) {
        this.showPriceChange = showPriceChange;
    }
    public BigDecimal getGoodsQuantity() {
        return goodsQuantity;
    }

    public void setGoodsQuantity(BigDecimal goodsQuantity) {
        this.goodsQuantity = goodsQuantity;
    }

    public Integer getBusinessApprovalStatus() {
        return businessApprovalStatus;
    }

    public void setBusinessApprovalStatus(Integer businessApprovalStatus) {
        this.businessApprovalStatus = businessApprovalStatus;
    }
}
